SLOAD.F2FS(8)

NAME
sload.f2fs - load directories and files into the device directly

SYNOPSIS
sload.f2fs [ -f source-directory-path ] [ -t mount-point ] [ -d debugging-level ] [ -P ] [ -c [ -L log-of-blocks-per-cluster ] [ -a compression-algorithm ] [ -x file-extension-to-exclude-from-compression | -i file-extension-to-include-for-compression ] [ -m minimum-compressed-blocks-per-cluster ] [ -r ] ] device

DESCRIPTION
sload.f2fs is used to load directories and files into a disk partition, or an F2FS image (file). device could a special file corresponding to the device (e.g. /dev/sdXX), or an F2FS image file.

The exit code returned by sload.f2fs is 0 on success and -1 on failure.

OPTIONS

-f source-directory-path
    Specify the source directory path to be loaded.

-t mount-point-path
    Specify the mount point path in the partition to load.

-d debug-level
    Specify the level of debugging options. The default number is 0, which shows basic debugging messages.

-P  Preserve owner: user and group. The user and group of the source files will be taken into account.

-c  Enable a cluster-based file compression. The file would be chopped into clusters, and each cluster is compressed independently.

-L log-of-blocks-per-cluster
    Specify cluster size in power of two blocks. The minimum value is 2 (4 blocks, default). The maximum value is 8 (256 blocks). Note that a block contains 4096 bytes. This option must be used with option -c.

-a compression-algorithm
    Choose the algorithm for compression. Available options are: lzo, lz4 (default). This option must be used with option -c.

-i file-extension-to-include-for-compression
    Specify a file extension to include for the compression. To specify multiple file extensions, use multiple option -i's. Files having one of the listed extensions will be compressed. This option must be used with option -c.

-x file-extension-to-exclude-from-compression
    Specify a file extension to exclude from compression. To specify multiple file extensions, use multiple option -x's. Files having one of the listed extensions won't be compressed. This option must be used with option -c.

-m minimum-compressed-blocks-per-cluster
    Specify a minimum block count saved (by compression) per cluster. The minimum value is 1 (default). Maximum value is the cluster size in blocks minus 1. If compression of a cluster fails to save at least the minimum compressed block count given by the option, the cluster will not be compressed. This option must be used with option -c.

-r  Specify read-only flag for the compressed files. It allows filesystem to release compressed space to the users, since, without this option, filesystem should keep the space for future file updates. This option must be used with option -c.

NOTES
If neither -i nor -x is used, all files will be compressed. Obviously, option -i and -x can not be used together.

AUTHOR
This version of sload.f2fs has been contributed by Hou Pengyang <houpengyang@huawei.com>, Liu Shuoran <liushuoran@huawei.com>, Jaegeuk Kim <jaegeuk@kernel.org>, Robin Hsu <robinhsu@google.com>

AVAILABILITY
sload.f2fs is available from <git://git.kernel.org/pub/scm/linux/kernel/git/jaegeuk/f2fs-tools.git>.

SEE ALSO
mkfs.f2fs(8), fsck.f2fs(8), dump.f2fs(8), defrag.f2fs(8), resize.f2fs(8).